LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 02-27-2005, 07:18 AM   #1
JohnKFT
Member
 
Registered: Aug 2003
Location: NW Scotland
Distribution: Slackware 10
Posts: 169

Rep: Reputation: 30
libGL warning: 3D driver claims to not support visual


Just installed Mach64 dri driver on to Slack 10 on Dell Inspiron laptop and have dri enabled according to glxinfo. However, when I try to run glxgears I get this:

libGL warning: 3D driver claims to not support visual 0x83d4003
libGL warning: 3D driver claims to not support visual 0x83d41af
libGL warning: 3D driver claims to not support visual 0x83d4324
libGL warning: 3D driver claims to not support visual 0x83d449f
Error: couldn't get an RGB, Double-buffered visual

Anyone know what it means? I can find nothing on this. All worked well with my previous 9.1 installation and xorg.conf in 10 is same as XFree86 conf was in 9.1.
 
Old 03-02-2005, 08:10 AM   #2
JohnKFT
Member
 
Registered: Aug 2003
Location: NW Scotland
Distribution: Slackware 10
Posts: 169

Original Poster
Rep: Reputation: 30
Does no-one have even a clue as to what is the problem here? I had dri working fine in 9.1.
 
Old 03-07-2005, 04:48 AM   #3
JohnKFT
Member
 
Registered: Aug 2003
Location: NW Scotland
Distribution: Slackware 10
Posts: 169

Original Poster
Rep: Reputation: 30
In case it helps anyone else I solved this with the help of a nice chap called Felix on the dri-users mailing list. Here it is:

1 I needed the latest Xorg server binary (/usr/X11R6/bin/Xorg), which I got through the dri site.

2 When I installed this in place of the existing one I got an error about not finding the Keyboard module. It seems that the standard Slack 10 xorg.conf refers to Keyboard in the keyboard input section when it should now be kbd. Changing that to kbd cured everything. I also updated the /usr/X11R6/lib/modules folder from the same place I got Xorg, then installed the dri common tarball, followed by the mach64 one I needed for my video card. No errors anywhere!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Warning: mysql_connect(): Client does not support authentication protocol I_AM Linux - General 4 06-19-2009 11:30 AM
nvidia 66.29 driver-xorg-x11-Mesa-libGL conflict yellowtail Linux - Software 3 02-28-2005 08:34 PM
new driver module claims to be for a different kernel build chr15t0 Linux - General 2 03-21-2004 04:48 AM
Nvidia driver claims no 3d harware acceleration vavoem Linux - Hardware 2 10-20-2003 01:49 PM
Conficts with XFree86-Mesa-libGL-4.3.0-2 while installing ati driver inward_eye Linux - Software 2 08-24-2003 05:10 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 06:08 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration